This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 344451

Summary: Please package fontconfig orth files
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: fontconfigAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: fonts-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-26 03:29:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
Quick & dirty packaging patch none

Description Nicolas Mailhot 2007-10-21 09:14:12 EDT
The DejaVu build process requires access to fontconfig orth files to compute
language coverage of the built font

Please package these files, either in the fontconfig -devel package or a
fontconfig-orth package
Comment 1 Nicolas Mailhot 2007-10-21 09:15:58 EDT
(or fontconfig-lang if you prefer)
Comment 2 Behdad Esfahbod 2007-10-21 17:53:54 EDT
Agreed that would be useful.  Pango uses them to build some tables too.  I'm ok
with just putting them in -devel.  We don't need more packages...
Comment 3 Behdad Esfahbod 2007-10-25 23:06:26 EDT
Going to package, and requested API for them, so in the future we can drop orth
files again:

https://bugs.freedesktop.org/show_bug.cgi?id=12939
Comment 4 Behdad Esfahbod 2007-10-26 00:19:31 EDT
Now I wonder if we should just wait for that API instead of packaging orth files
and then removing them at some point, possibly making people scream.

Anyway, Nicolas, please attach your patch here.
Comment 5 Behdad Esfahbod 2007-10-26 03:29:00 EDT
Ok, patched fontconfig to add FcGetLangs() and FcCharSetForLang().  No need to
parse orth files anymore.  Ported pango to use it:

http://svn.gnome.org/viewvc/pango/trunk/tools/gen-script-for-lang-new.c?view=markup

Hopefully will make it into fontconfig-2.5.
Comment 6 Nicolas Mailhot 2007-10-26 04:10:01 EDT
Created attachment 238541 [details]
Quick & dirty packaging patch

Proposed patch. didn't have the time to split it
The pango fix while nice is not helping my use case at all :(